function Fmaps = compute_map_operators(Src,Tar,numEigsSrc)

% Write descriptors in provided basis
fprintf(1, 'Writing descriptors in provided basis...\n');
F = Src.laplaceBasis(:,1:numEigsSrc) \ Src.probe;
G = Tar.laplaceBasis(:,1:numEigsSrc) \ Tar.probe;
clear probe1;
clear probe2;

% Write operators in provided basis
fprintf(1, 'Writing operators in provided basis...\n');
S = operatorsVIAbasis(Src.operators, Src.laplaceBasis(:,1:numEigsSrc));
R = operatorsVIAbasis(Tar.operators, Tar.laplaceBasis(:,1:numEigsSrc));

options.ICP = 1; options.norm = 1;
tmp  = computeFMap(Src.laplaceBasis(:,1:numEigsSrc), F, S, Tar.laplaceBasis(:,1:numEigsSrc), G, R, options);
if options.ICP == 1
    icpmap = icpFmap(tmp.maps, Src.laplaceBasis(:,1:numEigsSrc), Tar.laplaceBasis(:,1:numEigsSrc));
    Fmaps = icpmap;
else
    Fmaps = tmp.maps;
end